petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscStackSAWsGrantAccess

Grants access of the PETSc stack frames to the SAWs publisher

### Synopsis

    #include "petscsys.h"
    void  PetscStackSAWsGrantAccess(void)

Collective on PETSC_COMM_WORLD?

Developers Note: Cannot use PetscFunctionBegin/Return() or PetscStackCallSAWs() since it may be used within those routines

### See Also

PetscObjectSetName(), PetscObjectSAWsViewOff(), PetscObjectSAWsTakeAccess()

### Level

developer

### Location

src/sys/error/pstack.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages